Bug 1023571 - [abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: _g_log_abort: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: _g_log_abort: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:9becb1d318acd9f8a46a77bf1af...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 15:14 EDT by flashl
Modified: 2013-11-10 21:26 EST (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-15.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 21:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.89 KB, text/plain)
2013-10-25 15:14 EDT, flashl
no flags Details
File: cgroup (152 bytes, text/plain)
2013-10-25 15:14 EDT, flashl
no flags Details
File: core_backtrace (15.00 KB, text/plain)
2013-10-25 15:14 EDT, flashl
no flags Details
File: dso_list (4.16 KB, text/plain)
2013-10-25 15:14 EDT, flashl
no flags Details
File: environ (72 bytes, text/plain)
2013-10-25 15:15 EDT, flashl
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-25 15:15 EDT, flashl
no flags Details
File: maps (20.16 KB, text/plain)
2013-10-25 15:15 EDT, flashl
no flags Details
File: open_fds (2.08 KB, text/plain)
2013-10-25 15:15 EDT, flashl
no flags Details
File: proc_pid_status (899 bytes, text/plain)
2013-10-25 15:15 EDT, flashl
no flags Details
File: var_log_messages (10.69 KB, text/plain)
2013-10-25 15:15 EDT, flashl
no flags Details

  None (edit)
Description flashl 2013-10-25 15:14:31 EDT
Description of problem:
Error appeared after adding bridge.  ifcfg-br0 and slave: ifcfg-br0-slave both contain entry NM_CONTROLLED="no".

Version-Release number of selected component:
NetworkManager-0.9.9.0-14.git20131003.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: _g_log_abort
executable:     /usr/sbin/NetworkManager
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 nm_dbus_manager_unregister_object at nm-dbus-manager.c:848
 #6 nm_settings_connection_signal_remove at settings/nm-settings-connection.c:1541
 #7 connection_new_or_changed at plugin.c:327
 #8 read_connections at plugin.c:453
 #9 get_connections at plugin.c:488
 #10 load_connections at settings/nm-settings.c:187
 #11 nm_settings_get_unmanaged_specs at settings/nm-settings.c:417
 #12 get_property at settings/nm-settings.c:1756
 #13 object_get_property at gobject.c:1303
Comment 1 flashl 2013-10-25 15:14:44 EDT
Created attachment 816251 [details]
File: backtrace
Comment 2 flashl 2013-10-25 15:14:49 EDT
Created attachment 816252 [details]
File: cgroup
Comment 3 flashl 2013-10-25 15:14:53 EDT
Created attachment 816253 [details]
File: core_backtrace
Comment 4 flashl 2013-10-25 15:14:57 EDT
Created attachment 816254 [details]
File: dso_list
Comment 5 flashl 2013-10-25 15:15:00 EDT
Created attachment 816255 [details]
File: environ
Comment 6 flashl 2013-10-25 15:15:05 EDT
Created attachment 816256 [details]
File: limits
Comment 7 flashl 2013-10-25 15:15:08 EDT
Created attachment 816257 [details]
File: maps
Comment 8 flashl 2013-10-25 15:15:10 EDT
Created attachment 816258 [details]
File: open_fds
Comment 9 flashl 2013-10-25 15:15:13 EDT
Created attachment 816259 [details]
File: proc_pid_status
Comment 10 flashl 2013-10-25 15:15:15 EDT
Created attachment 816260 [details]
File: var_log_messages
Comment 11 Thomas Haller 2013-10-30 12:54:20 EDT
Thank you for reporting this bug.

I think, that this bug got fixed yesterday with commit http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=912152cf85d29db45f706522c8e3ce13eaf13197

(At this moment there is no new NetworkManager package in F20 yet, that fixes this issue)
Comment 12 Fedora Update System 2013-11-08 08:44:08 EST
NetworkManager-0.9.9.0-15.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-15.git20131003.fc20
Comment 13 Fedora Update System 2013-11-08 13:37:25 EST
Package NetworkManager-0.9.9.0-15.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-15.git20131003.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20932/NetworkManager-0.9.9.0-15.git20131003.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-10 21:26:49 EST
NetworkManager-0.9.9.0-15.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.